﻿using Brizco.Domain.Entities.Complexes;

namespace Brizco.Domain.Dtos.LargeDtos;

public class PositionLDto : BaseDto<PositionLDto, Position>
{

    public string Name { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;

    public Guid ComplexId { get; set; }

    public Guid SectionId { get; set; }
    public string SectionName { get; set; } = string.Empty;
    public List<string> Permissions { get; set; } = new();
}