﻿using Task = Brizco.Domain.Entities.Tasks.Task;

namespace Brizco.Domain.Dtos.LargeDtos;

public class TaskLDto : BaseDto<TaskLDto, Task>
{
    public TaskType Type { get; set; }
    public string Title { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public bool IsDisposable { get; set; }
    public long SetFor { get; set; }
    public bool HasDisposed { get; set; }
    public TaskScheduleType ScheduleType { get; set; }


    public int Amount { get; set; }
    public PurchaseAmountType AmountType { get; set; }



    public List<TaskShiftSDto> Shifts { get; set; } = new();
    public List<TaskPositionSDto> Positions { get; set; } = new();
    public List<TaskDaySDto> Days { get; set; } = new();
    public List<TaskRoutineSDto> Routines { get; set; } = new();
}