﻿namespace Brizco.Domain.Entities.Tasks;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public class TaskShift : ApiEntity
{
    public TaskShift()
    {
        
    }

    internal TaskShift(Guid taskId, Guid shiftId)
    {
        TaskId = taskId;
        ShiftId = shiftId;
    }
    public Guid TaskId { get; internal set; }
    public virtual Task? Task { get; internal set; }

    public Guid ShiftId { get; internal set; }
    public virtual Shift? Shift { get; internal set; }
}